GH-PR-REVIEW(1)

NAME
gh-pr-review - Add a review to a pull request

SYNOPSIS
gh pr review [<number> | <url> | <branch>] [flags]

DESCRIPTION
Add a review to a pull request.

Without an argument, the pull request that belongs to the current branch is reviewed.

OPTIONS

-a, --approve
    Approve pull request

-b, --body <string>
    Specify the body of a review

-F, --body-file <file>
    Read body text from file (use "-" to read from standard input)

-c, --comment
    Comment on a pull request

-r, --request-changes
    Request changes on a pull request

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # approve the pull request of the current branch
    $ gh pr review --approve
    # leave a review comment for the current branch
    $ gh pr review --comment -b "interesting"
    # add a review for a specific pull request
    $ gh pr review 123
    # request changes on a specific pull request
    $ gh pr review 123 -r -b "needs more ASCII art"

SEE ALSO
gh-pr(1)